Subject: bug#47833: closed (Re: bug#47833: 27.2; Incomplete list of optional arguments in the docstring of `map-y-or-n-p')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Apr 2021 08:27:01 +0000

Your bug report

#47833: 27.2; Incomplete list of optional arguments in the docstring of `map-y-or-n-p'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47833: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47833
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47833: 27.2; Incomplete list of optional arguments in the docstring of `map-y-or-n-p'
From: Eli Zaretskii <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 17 Apr 2021 11:26:24 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Glenn Morris <[email-masked]>
> Date: Fri, 16 Apr 2021 22:03:15 -0400
> Cc: [email-masked]
> 
> > -Takes args PROMPTER ACTOR LIST, and optional args HELP and ACTION-ALIST.
> > +Takes args PROMPTER ACTOR LIST, and optional args HELP,
> > +ACTION-ALIST and NO-CURSOR-IN-ECHO-AREA.
> 
> I suggest instead removing the sentence, which does nothing other than
> list the arguments. describe-function displays the argument list anyway.

Indeed.

The doc string of that function and its description in the ELisp
manual "needed work", so I fixed them on the emacs-27 branch, and I'm
marking this bug done.

Subject: 27.2; Incomplete list of optional arguments in the docstring of `map-y-or-n-p'
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Sat, 17 Apr 2021 02:12:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring of `map-y-or-n-p' misses an optional argument after "Takes
args...".  The following patch corrects the problem:

diff --git a/lisp/emacs-lisp/map-ynp.el b/lisp/emacs-lisp/map-ynp.el
index 86a0c76fd1..1b1943953c 100644
--- a/lisp/emacs-lisp/map-ynp.el
+++ b/lisp/emacs-lisp/map-ynp.el
@@ -39,7 +39,8 @@
 (defun map-y-or-n-p (prompter actor list &optional help action-alist
 			      no-cursor-in-echo-area)
   "Ask a series of boolean questions.
-Takes args PROMPTER ACTOR LIST, and optional args HELP and ACTION-ALIST.
+Takes args PROMPTER ACTOR LIST, and optional args HELP,
+ACTION-ALIST and NO-CURSOR-IN-ECHO-AREA.
 
 LIST is a list of objects, or a function of no arguments to return the next
 object or nil.